#include <FastLED.h> 

 

#define micPin A0  // Connect the microphone to the A0 pin 

#define LED_PIN 5 

#define NUM_LEDS 1 

 

CRGB leds[NUM_LEDS]; 

 

const int threshold = 700;  // Threshold of the sound value, adjust through experimentation 

boolean status_lights = false; // Initialize LED status (off) 

 

void setup() { 

  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS); 

  Serial.begin(9600); 

  FastLED.clear(); // Turn off the LED at the start 

  FastLED.show(); 

} 

void loop() { 

  int soundLevel = analogRead(micPin); // Read the analog value from the microphone 

  if (soundLevel > threshold) {  // When detecting a sound level higher than the threshold 

    Serial.println("Clap Detected!");  // Print "Clap Detected!" message 

      if (!status_lights) { 

      status_lights = true; // Change the LED status 

      leds[0] = CRGB(255, 255, 255); // Turn on the LED (white) 

      FastLED.show(); 

      }  

else { 

      status_lights = false; // Change the LED status 

      FastLED.clear(); // Turn off the LED 

      FastLED.show(); 

   	} 

      delay(1000);  // Wait after turning on the LED 

  } 

} 
